package com.lightinit.hsdataplatformresdir.mapper;
import com.lightinit.hsdataplatformresdir.entity.PermissionModule;
import com.lightinit.hsdataplatformresdir.entity.RoleModule;
import com.lightinit.hsdataplatformresdir.entity.RoleModuleExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoleModuleMapper {
    long countByExample(RoleModuleExample example);

    int deleteByExample(RoleModuleExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RoleModule record);

    int insertSelective(RoleModule record);

    List<RoleModule> selectByExample(RoleModuleExample example);

    RoleModule selectByPrimaryKey(Long id);

    List<RoleModule> selectByUserMenu(String username);

    List<PermissionModule> selectByPermissionMenu();

    int updateByExampleSelective(@Param("record") RoleModule record, @Param("example") RoleModuleExample example);

    int updateByExample(@Param("record") RoleModule record, @Param("example") RoleModuleExample example);

    int updateByPrimaryKeySelective(RoleModule record);

    int updateByPrimaryKey(RoleModule record);
}